import { jsx as _jsx } from "react/jsx-runtime";
// (C) 2024-2026 GoodData Corporation
import { forwardRef } from "react";
import { UiIconButtonRenderer } from "./UiIconButtonRenderer.js";
/**
 * @internal
 */
export const UiIconButton = forwardRef((props, ref) => {
    return _jsx(UiIconButtonRenderer, { ...props, ref: ref });
});
UiIconButton.displayName = "UiIconButton";
